/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#include "veneer/standardaction.h"

#include <kstandardaction.h>
#include <ktoggleaction.h>

#include <QObject>
#include <QDebug>

namespace Veneer
{

	namespace StandardAction
	{

		KAction* open(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::open(recvr, slot, parent);
		}

		KAction* openNew(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::openNew(recvr, slot, parent);
		}

		KAction* save(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::save(recvr, slot, parent);
		}

		KAction* close(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::close(recvr, slot, parent);
		}

		KAction* quit(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::quit(recvr, slot, parent);
		}

		KAction* selectAll(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::selectAll(recvr, slot, parent);
		}

		KAction* preferences(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::preferences(recvr, slot, parent);
		}

		KAction* showStatusbar(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::showStatusbar(recvr, slot, parent);
		}

		KAction* aboutApp(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::aboutApp(recvr, slot, parent);
		}


/*
		KAction* print(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::print(recvr, slot, parent);
		}

		KAction* undo(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::undo(recvr, slot, parent);
		}

		KAction* redo(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::redo(recvr, slot, parent);
		}

		KAction* cut(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::cut(recvr, slot, parent);
		}

		KAction* copy(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::copy(recvr, slot, parent);
		}

		KAction* paste(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::paste(recvr, slot, parent);
		}

		KAction* find(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::find(recvr, slot, parent);
		}

		KAction* findNext(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::findNext(recvr, slot, parent);
		}

		KAction* findPrev(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::findPrev(recvr, slot, parent);
		}

		KAction* showMenubar(const QObject* recvr, const char* slot, QObject* parent)
		{
			return KStandardAction::showMenubar(recvr, slot, parent);
		}
*/

	}

}

